> ## Documentation Index
> Fetch the complete documentation index at: https://docs.equalsmoney.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Respond to an associated person information request item

> Submits a response to a specific required information item on an information request for an associated person.



## OpenAPI

````yaml /autogenerated/openapi/onboarding.openapi.json post /applications/{applicationId}/information-requests/{informationRequestId}/associated-people/{associatedPersonId}/respond
openapi: 3.1.0
info:
  title: Onboarding API
  version: 2.0.0
  description: Version 2
  license:
    name: UNLICENSED
    url: https://docs.equalsmoney.com
servers:
  - url: https://api.equalsmoney.com/v2
    description: Production
  - url: https://api-sandbox.equalsmoney.com/v2
    description: Sandbox
security: []
paths:
  /applications/{applicationId}/information-requests/{informationRequestId}/associated-people/{associatedPersonId}/respond:
    post:
      tags:
        - Onboarding
      summary: Respond to an associated person information request item
      description: >-
        Submits a response to a specific required information item on an
        information request for an associated person.
      operationId: respondToAssociatedPersonInformationRequest
      parameters:
        - name: applicationId
          in: path
          required: true
          schema:
            type:
              - string
            format: uuid
            maxLength: 36
            description: The ID of the application to work with.
            example: e9293471-5eb3-4dbc-916c-dbaf9e2deefd
        - name: informationRequestId
          in: path
          required: true
          schema:
            description: The ID of the information request to respond to.
            type:
              - string
            format: uuid
            example: e9293471-5eb3-4dbc-916c-dbaf9e2deefd
        - name: associatedPersonId
          in: path
          required: true
          schema:
            description: The ID of the associated person to work with.
            type:
              - string
            format: uuid
            maxLength: 36
            example: e9293471-5eb3-4dbc-916c-dbaf9e2deefd
      requestBody:
        description: Body
        content:
          application/json:
            schema:
              type:
                - object
              properties:
                code:
                  type:
                    - string
                  minLength: 1
                  maxLength: 100
                  description: >-
                    The code identifying which required information item to
                    respond to.
                  example: PROOF_OF_ADDRESS
                response:
                  type:
                    - string
                  minLength: 1
                  maxLength: 1000
                  description: >-
                    The response value. Format is validated server-side
                    according to the expected response type.
                  example: We process approximately 500 transactions per month.
                notApplicable:
                  type:
                    - boolean
                  description: >-
                    Set to `true` if you are unable to provide the requested
                    item. When set, `response` must contain a free-text
                    explanation of why, and is accepted regardless of the
                    expected response type. Defaults to `false` when omitted.
                  example: false
              required:
                - code
                - response
              example:
                code: PROOF_OF_ADDRESS
                response: We process approximately 500 transactions per month.
                notApplicable: false
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type:
                  - object
                properties:
                  code:
                    type:
                      - string
                    description: The code of the information item that was responded to.
                  response:
                    type:
                      - string
                    minLength: 1
                    maxLength: 1000
                    description: >-
                      The response value. Format is validated server-side
                      according to the expected response type.
                    example: We process approximately 500 transactions per month.
                  notApplicable:
                    type:
                      - boolean
                    description: >-
                      Whether the customer indicated they are unable to provide
                      the requested item, with the reason in `response`.
                    example: false
                  createdAt:
                    type:
                      - string
                    format: date-time
                    description: >-
                      The date the Resource was initially created. ISO 8601
                      format without milliseconds.
                  id:
                    type:
                      - string
                    format: uuid
                    description: The ID of the information request response.
                    example: e9293471-5eb3-4dbc-916c-dbaf9e2deefd
                  informationRequestId:
                    description: The ID of the information request to respond to.
                    type:
                      - string
                    format: uuid
                    example: e9293471-5eb3-4dbc-916c-dbaf9e2deefd
                required:
                  - code
                  - response
                  - createdAt
                  - id
                  - informationRequestId
                example:
                  code: string
                  response: We process approximately 500 transactions per month.
                  notApplicable: false
                  createdAt: '2019-08-24T14:15:22Z'
                  id: e9293471-5eb3-4dbc-916c-dbaf9e2deefd
                  informationRequestId: e9293471-5eb3-4dbc-916c-dbaf9e2deefd
      security:
        - CommonAuth: []
components:
  securitySchemes:
    CommonAuth:
      type: apiKey
      in: header
      name: Authorization

````